
#### Mappers
##### Argus Case Mapper
-  Updated to reflect incident mirroring support and new fields described below.
   -  Support for dBotMirroring keys
   -  Support for mapping fields Argus Case HTML & Link

#### Incident Fields
- **Argus Case HTML**
  Allows the user to see Argus Case description with correct formatting in incident layout.
- **Argus Case Link**
  Provides the user a direct link to the Argus Case in the incident layout.
<!--- **Argus Case Status**
  No functional update. 
- **Argus Attachment ID**
  No functional update.
- **Argus Customer ID**
  No functional update.
- **Argus Case Type**
  No functional update.
- **Argus Case Service**
  No functional update.
- **Argus Event ID**
  No functional update.
- **Argus Case Category**
  No functional update.
- **Argus Case ID**
  No functional update.
- **Argus Event Type**
  No functional update.
-->

#### Integrations
##### mnemonic MDR - Argus Managed Defence (Partner Contribution)
- Rapidly detect, analyse and respond to security threats with mnemonic’s leading Managed Detection and Response (MDR) service. (Available from Cortex XSOAR 6.0.0).
- - Updated the Docker image to: *demisto/argus-toolbelt:2.0.0.16706*.
- Support for Incident Mirroring
  - Implements the methods:
    - `get-remote-data`
    - `update-remote-system`
    - `get-mapping-fields`
  - Mirror up and down Argus Case comments, attachments, priority and status.
  - The default playbook is required to fetch all attachments and comments that are added to the Argus Case prior to incident being fetched in XSOAR. 
  Please keep that in mind if defining your own playbooks. 
- Added 3 commands
  - ***argus-print-case-comments*** 
  prints Argus Case comments as War Room Notes instead of adding them to context data
  - ***argus-print-case-metadata-by-id***
  prints Argus Case metadata as a War Room chat instead of adding the json to the context data
  - ***argus-download-case-attachments*** is a simple way to download all Argus Case attachments with one dedicated integration command instead of having to use a playbook to list all attachments and download all one by one.
- Added 3 integration parameters
  - *exclude_tag* allows the integration to exclude fetching incidents from Argus Cases with the specified tag of key or key: value pair.
  - *mirroring_direction* defines the directions the integration will mirror incidents: None, In, Out, Both.
  - *mirror_tag* defines the tag that has to be attached to War Room entries (notes or attachments) which will be mirrored out.

#### Playbooks
##### Pull Case Metadata - Argus Managed Defence
- Pulls metadata, attachments, comments, tags and events related to the Argus case for later use. 
- Updated to use new commands where comments are displayed as notes in the incident
- Downloads all case attachments with a new dedicated integration command

#### Layouts Containers
##### Argus Case
Updated to use the new print-comments/attachments and HTML fields.
